# gds-dropdown - Angular

## Import

```typescript
import { GdsDropdownComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-dropdown>
  <gds-option>...</gds-option>
  <gds-menu-heading>...</gds-menu-heading>
</gds-dropdown>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `change` | `change` | `(change)="handler($event)"` |
| `input` | `input` | `(input)="handler($event)"` |
| `gds-ui-state` | `gdsUiState` | `(gdsUiState)="handler($event)"` |
| `gds-filter-input` | `gdsFilterInput` | `(gdsFilterInput)="handler($event)"` |
| `gds-input-cleared` | `gdsInputCleared` | `(gdsInputCleared)="handler($event)"` |
